Subject: comments on naming

From: Andrew Veliath <[email-masked]>
Date: Mon, 9 Dec 1996 18:28:47 -0500

Well, the borderstyle/uselook patch is actually starting to work now
(still needs a bit more refining here)....

The next patch will have a revised define naming scheme for
OPTION_DEFINES (also, code ifdef's will be cleaner).  It will also
allow you to also compile out support for Vector buttons, which are
the *standard* fvwm2 buttons (with a note about being "standard"), if
you are inclined to do so (saves a bit 'o mem).

Please see if the following revised scheme makes sense, since it's
*easily* changed at this point in time.  If you want to suggest
something, do so.

 * -DVECTOR_BUTTONS
 *
 * Allows use of drawn coordinate-list type buttons.  This button type
 * is considered "standard," so it is recommended that you leave it
 * untouched.  However, if you don't use them at all you will save a
 * small amount if memory per "look" you define with AddToLook (see
 * -DUSELOOK below).  See the man page entry for "Vector" for usage
 * information.
 * 
 * 
 * -DPIXMAP_BUTTONS
 *
 * Allows use of pixmap buttons.  You must have Xpm support to use
 * this.  Compatibility with the old definition format is preserved.
 * See the man page button style entry for Pixmap for usage
 * information.
 *
 *
 * -DGRADIENT_BUTTONS
 *
 * Allows the use of gradient buttons.  Support for both horizontal
 * and vertical, linear and nonlinear gradients is included.  See the
 * man page button style entries for HGradient and VGradient for usage
 * information.
 *
 *
 * -DMULTISTYLE
 *
 * Allows the use of stacked styles for buttons and title-bars.  There
 * is a slight memory penalty for each stacked style over the default
 * ones. See AddButtonStyle and AddTitleStyle for usage information.
 *
 * 
 * -DEXTENDED_TITLESTYLE
 * 
 * Allows use of the styled title-bars using the TitleStyle command in
 * a similar fashion to the ButtonStyle command.  Defining this
 * enables the use of all the valid button styles on a title-bar.
 *
 *
 * -DBORDERSTYLE
 *
 * This compiles in support for the BorderStyle command.  Unlike the
 * extended TitleStyle command, not all styles are available.  See the
 * man page entry for BorderStyle for usage information.  If you are
 * also using PIXMAP_BUTTONS, you can also texture your borders with
 * pixmaps.
 *
 *
 * -DUSELOOK
 * 
 * Allows the creation of tagged appearances, any of which can be
 * assigned to a window using the UseLook Style flag.  To create
 * "look" definitions, see the man page entries for AddToLook and
 * DestroyLook.  There is a slight memory penalty for each
 * additionally defined look.
 * 
 ***************************************************************************/

OPTION_DEFINES  = -DSHAPE
OPTION_DEFINES += -DVECTOR_BUTTONS -DPIXMAP_BUTTONS -DGRADIENT_BUTTONS
OPTION_DEFINES += -DMULTISTYLE -DEXTENDED_TITLESTYLE -DBORDERSTYLE
OPTION_DEFINES += -DUSELOOK
--
Visit the official FVWM web page at <URL:http://www.hpc.uh.edu/fvwm/>.
To unsubscribe from the list, send "unsubscribe fvwm-workers" in the
body of a message to [email-masked].
To report problems, send mail to [email-masked].